@use '_variable' as *;

.menu {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 0 40px;

  &__link {
    color: inherit;
  }

  &__toggle {
    display: none;
    gap: 5px 0;
    width: 30px;
    height: 25px;

    span {
      pointer-events: none;
      display: block;
      width: 100%;
      height: 3px;
      background-color: $heading-color;
    }
  }
}

@media screen and (max-width: 1023px) {
  .menu {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #fff;
    width: 300px;
    z-index: 99;
    border-left: 1px solid $gray-light-color;
    flex-direction: column;
    gap: 30px 0;
    padding-top: 60px;
    align-items: stretch;

    transform: translateX(100%);
    will-change: transform;
    transition: all 0.2s linear;

    &.is-show {
      transform: translateX(0);
    }

    &__toggle {
      display: inline-flex;
      justify-content: space-between;
      flex-direction: column;
    }
  }

  .menu__link {
    display: block;
    width: 100%;
    padding: 20px;
  }
}

@media (hover: hover) {
  .menu__link {
    position: relative;
    transition: all 0.2s linear;
    &:after {
      content: '';
      position: absolute;
      bottom: -10px;
      left: auto;
      right: 0;
      width: 0;
      height: 3px;
      background-color: $primary-color;
      transition: all 0.2s linear;
      transition: all 0.2s linear;
    }
    &:hover {
      color: $primary-color;
      &:after {
        width: 100%;
        left: 0;
        right: auto;
      }
    }
  }
}
